<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$depositId = 'deposit_m_01JH3BWB8K89TDQC54FFZY6MFV';
$response = $api->Deposits->Get($depositId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Deposit;
public class ViewDepositPreauth {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
Deposit getDeposit = mangopay.getDepositApi().cancel("deposit_m_01J21RMN7TET5VNNJJQTMYEX8Z");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(getDeposit);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Deposit
deposit_preauthorization = Deposit(
id = '11057b51-7bfc-43e9-bdec-268ba41148cc'
)
try:
view_deposit_preauthorization = Deposit.get(deposit_preauthorization.id)
pprint(vars(view_deposit_preauthorization))
pprint(vars(view_deposit_preauthorization.billing))
pprint(vars(view_deposit_preauthorization.browser_info))
pprint(vars(view_deposit_preauthorization.payins_linked))
pprint(vars(view_deposit_preauthorization.shipping))
except Deposit.DoesNotExist:
print('The Deposit PreAuthorization {} does not exist'.format(deposit_preauthorization.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var depositId = "deposit_m_01J332W8CHP62NYWXTQFHSQ6SR";
var viewDeposit = await api.Deposits.GetAsync(depositId);
string prettyPrint = JsonConvert.SerializeObject(viewDeposit, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "deposit_wt_073099a9-4e14-42b7-9bc7-d1978f65d8ba",
"CreationDate": 1771585135,
"ExpirationDate": 1774177173,
"AuthorId": "user_m_01KHXAHEBRWSZXJY85TPPR56TK",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 20000
},
"Status": "SUCCEEDED",
"PaymentStatus": "VALIDATED",
"PayinsLinked": {
"PayinCaptureId": "wt_28217024-04e1-400b-b902-15bc2cca8a82",
"PayinComplementId": null
},
"ResultCode": "000000",
"ResultMessage": "Success",
"CardId": "card_wt_HodULFWKVRMEecCa",
"PreferredCardNetwork": null,
"SecureModeReturnURL": "http://example.com?depositId=deposit_wt_073099a9-4e14-42b7-9bc7-d1978f65d8ba",
"SecureModeRedirectURL": null,
"SecureModeNeeded": true,
"PaymentType": "CARD",
"ExecutionType": "DIRECT",
"StatementDescriptor": null,
"Culture": "EN",
"BrowserInfo": {
"AcceptHeader": "text/html, application/xhtml+xml, application/xml;q=0.9, /;q=0.8",
"JavaEnabled": true,
"Language": "FR-FR",
"ColorDepth": 4,
"ScreenHeight": 1800,
"ScreenWidth": 400,
"TimeZoneOffset": 60,
"UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
"JavascriptEnabled": true
},
"IpAddress": "4ce4:e138:803f:eb1c:9c5b:7316:ec84:3d00",
"Billing": {
"FirstName": "Jonatan",
"LastName": "Renner",
"Address": {
"AddressLine1": "16544 Jalon Expressway",
"AddressLine2": "Pacocha Road",
"City": "Paris",
"Region": "Ile-de-France",
"PostalCode": "75001",
"Country": "FR"
}
},
"Shipping": {
"FirstName": "Jonatan",
"LastName": "Renner",
"Address": {
"AddressLine1": "16544 Jalon Expressway",
"AddressLine2": "Pacocha Road",
"City": "Paris",
"Region": "Ile-de-France",
"PostalCode": "75001",
"Country": "FR"
}
},
"Requested3DSVersion": null,
"Applied3DSVersion": "V2_1",
"Tag": "Created using the Mangopay API Postman collection",
"CardInfo": {
"BIN": "497010",
"IssuingBank": "LA BANQUE POSTALE",
"IssuerCountryCode": "MA",
"Type": "CREDIT",
"SubType": null,
"Brand": "VISA"
},
"AuthenticationResult": {
"AuthenticationType": "CHALLENGE"
}
}
Deposit preauthorizations
View a Deposit Preauthorization (Card, PayPal)
GET
/
v2.01
/
{ClientId}
/
deposit-preauthorizations
/
{DepositId}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$depositId = 'deposit_m_01JH3BWB8K89TDQC54FFZY6MFV';
$response = $api->Deposits->Get($depositId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Deposit;
public class ViewDepositPreauth {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
Deposit getDeposit = mangopay.getDepositApi().cancel("deposit_m_01J21RMN7TET5VNNJJQTMYEX8Z");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(getDeposit);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Deposit
deposit_preauthorization = Deposit(
id = '11057b51-7bfc-43e9-bdec-268ba41148cc'
)
try:
view_deposit_preauthorization = Deposit.get(deposit_preauthorization.id)
pprint(vars(view_deposit_preauthorization))
pprint(vars(view_deposit_preauthorization.billing))
pprint(vars(view_deposit_preauthorization.browser_info))
pprint(vars(view_deposit_preauthorization.payins_linked))
pprint(vars(view_deposit_preauthorization.shipping))
except Deposit.DoesNotExist:
print('The Deposit PreAuthorization {} does not exist'.format(deposit_preauthorization.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var depositId = "deposit_m_01J332W8CHP62NYWXTQFHSQ6SR";
var viewDeposit = await api.Deposits.GetAsync(depositId);
string prettyPrint = JsonConvert.SerializeObject(viewDeposit, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "deposit_wt_073099a9-4e14-42b7-9bc7-d1978f65d8ba",
"CreationDate": 1771585135,
"ExpirationDate": 1774177173,
"AuthorId": "user_m_01KHXAHEBRWSZXJY85TPPR56TK",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 20000
},
"Status": "SUCCEEDED",
"PaymentStatus": "VALIDATED",
"PayinsLinked": {
"PayinCaptureId": "wt_28217024-04e1-400b-b902-15bc2cca8a82",
"PayinComplementId": null
},
"ResultCode": "000000",
"ResultMessage": "Success",
"CardId": "card_wt_HodULFWKVRMEecCa",
"PreferredCardNetwork": null,
"SecureModeReturnURL": "http://example.com?depositId=deposit_wt_073099a9-4e14-42b7-9bc7-d1978f65d8ba",
"SecureModeRedirectURL": null,
"SecureModeNeeded": true,
"PaymentType": "CARD",
"ExecutionType": "DIRECT",
"StatementDescriptor": null,
"Culture": "EN",
"BrowserInfo": {
"AcceptHeader": "text/html, application/xhtml+xml, application/xml;q=0.9, /;q=0.8",
"JavaEnabled": true,
"Language": "FR-FR",
"ColorDepth": 4,
"ScreenHeight": 1800,
"ScreenWidth": 400,
"TimeZoneOffset": 60,
"UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
"JavascriptEnabled": true
},
"IpAddress": "4ce4:e138:803f:eb1c:9c5b:7316:ec84:3d00",
"Billing": {
"FirstName": "Jonatan",
"LastName": "Renner",
"Address": {
"AddressLine1": "16544 Jalon Expressway",
"AddressLine2": "Pacocha Road",
"City": "Paris",
"Region": "Ile-de-France",
"PostalCode": "75001",
"Country": "FR"
}
},
"Shipping": {
"FirstName": "Jonatan",
"LastName": "Renner",
"Address": {
"AddressLine1": "16544 Jalon Expressway",
"AddressLine2": "Pacocha Road",
"City": "Paris",
"Region": "Ile-de-France",
"PostalCode": "75001",
"Country": "FR"
}
},
"Requested3DSVersion": null,
"Applied3DSVersion": "V2_1",
"Tag": "Created using the Mangopay API Postman collection",
"CardInfo": {
"BIN": "497010",
"IssuingBank": "LA BANQUE POSTALE",
"IssuerCountryCode": "MA",
"Type": "CREDIT",
"SubType": null,
"Brand": "VISA"
},
"AuthenticationResult": {
"AuthenticationType": "CHALLENGE"
}
}
This call retrieves a single Deposit Preauthorization, of which there are two types, indicated by
PaymentType:
CARD– Created using POST Create a Card Deposit PreauthorizationPAYPAL– Created using POST Create a PayPal Deposit Preauthorization
Path parameters
string
required
The unique identifier of the deposit preauthorization.
Responses
200 - Card response object
200 - Card response object
string
Max. length: 255 characters
Unix timestamp
The date and time at which the object was created.
Unix timestamp
The date and time at which the hold period ends and the preauthorized funds are released.
At the expiration date, the deposit preauthorization’s
At the expiration date, the deposit preauthorization’s
PaymentStatus changes to EXPIRED if no captures were made.Unix timestamp
The date and time at which successful authorization occurred. If authorization failed, the value is
null.string
The unique identifier of the user at the source of the transaction.
object
Information about the preauthorized funds.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the preauthorized funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the authorization.string
Returned values:
WAITING, CANCELED, CANCEL_REQUESTED, EXPIRED, VALIDATED, FAILEDThe payment status of the deposit preauthorization object:WAITING– The deposit preauthorization can be used: the preauthorized funds can be captured (ifStatusisSUCCEEDED) or the preauthorization can be canceled manually.CANCELED– Value to pass to manually cancel the deposit preauthorization before use; indicates that the deposit preauthorization was canceled manually.CANCEL_REQUESTED– The cancellation of the deposit preauthorization has been requested but not yet processed.EXPIRED– The hold period on the preauthorized funds has ended without it being used.VALIDATED– Indicates that the preauthorized funds were captured.FAILED– The pay-in against the preauthorization has failed, but a retry may be possible.
object
Information about the deposit preauthorized pay-ins made against the deposit preauthorization.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
string
The unique identifier of the Card object, obtained during the card registration process.
string
Returned values:
VISA, MASTERCARD, CB, MAESTROThe card network to use, as chosen by the cardholder, in case of co-branded cards.string
Max. length: 255 charactersThe URL to which users are automatically returned after 3DS2 if it is triggered (i.e., if the
SecureModeNeeded parameter is set to true).string
Max. length: 255 charactersThe URL to which to redirect the user to proceed to 3DS2 validation.
boolean
Whether or not the
SecureMode was used.string
Returned values:
CARD, DIRECT_DEBIT, PREAUTHORIZED, BANK_WIREThe type of pay-in.string
Returned values:
WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
string
Returned values: One of the supported languages in the ISO 639-1 format: DE, EN, ES, FR, IT, NL, PL, PT.The language in which the payment page is to be displayed.
object
Information about the browser used by the end user (author) to perform the payment.
Show properties
Show properties
string
The exact content of the HTTP accept headers as sent to the platform from the end user’s browser.
boolean
Whether or not the end user’s browser has the ability to execute Java.
string
Format: Two-letter language code (ISO 639-1 alpha-2) followed by two-letter country code (ISO 3166-1 alpha-2), separated by a hyphen (example:
en-US; pattern:^[a-zA-Z]{2}(-[a-zA-Z]{2})?$)The language of the browser.integer
The value representing the depth of the screen’s color palette for displaying images, in bits per pixel.
integer
Max. length: 6 charactersThe height of the screen in pixels.
integer
Max. length: 6 charactersThe width of the screen in pixels.
integer
The difference in minutes between the browser’s timezone and UTC.
string
Max. length: 255 charactersThe exact content of the HTTP User-Agent header.
boolean
Whether or not the end user’s browser has the ability to execute JavaScript.
string
The IP address of the end user initiating the transaction, in IPV4 or IPV6 format.
object
Default value: FirstName, LastName, and Address information of the Shipping object if any, otherwise the user (author).Information about the end user billing address. If left empty, the default values will be automatically taken into account.
Show properties
Show properties
string
The first name of the user.
string
Max. length: 100 charactersThe last name of the user.
object
Information about the billing address.
Show properties
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the
Country is US, CA, or MX.string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country of the address.
object
Default value: FirstName, LastName, and Address information of the Billing object, if supplied, otherwise of the user (author).Information about the end user’s shipping address. If left empty, the default values will be automatically taken into account.
Show properties
Show properties
string
The first name of the user.
string
Max. length: 100 charactersThe last name of the user.
object
Information about the shipping address.
Show properties
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the
Country is US, CA, or MX.string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country of the address.
string
Returned values:
V1, V2_1The 3DS protocol version to be applied to the transaction.string | null
Returned values:
V1, V2_1The 3DS protocol version applied to the transaction.string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
string
Information about the card used for the transaction.If the information or data is not available,
null is returned.Show properties
Show properties
string
The 6-digit bank identification number (BIN) of the card issuer.
string
The name of the card issuer.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country where the card was issued.
string
Returned values:
DEBIT, CREDIT, CHARGE CARD.The type of card product.string
The card brand. Examples include:
AMERICAN EXPRESS, DISCOVER, JCB, MASTERCARD, VISA, etc.Note: The possible returned values are numerous and liable to evolve over time.string
The subtype of the card product. Examples include:
CLASSIC, GOLD, PLATINUM, PREPAID, etc.Note: The possible returned values are numerous and liable to evolve over time.object | null
Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable).
Show properties
Show properties
string | null
Response values:
CHALLENGE, FRICTIONLESS, DIRECT_AUTHORIZATIONThe type of authentication:CHALLENGE– The issuer requested SCA to be enforced (for example, using 3DS).FRICTIONLESS– The transaction was exempted from SCA because an exemption was granted by the issuer.DIRECT_AUTHORIZATION– The transaction was sent to the issuer for authorization without any frictionless or challenge (for example, if SCA doesn’t apply).
null value typically indicates that authentication was not requested (for example, because the request failed before being sent) or a decision was not received.200 - PayPal response object
200 - PayPal response object
string
The PayPal identifier of the buyer.
string
The last name of the buyer.
string
The mobile phone number of the buyer.
string
The first name of the buyer.
string
The country of the buyer.
string
PayPal’s unique identifier for the order.
string
The URL to which the user is returned after canceling the payment. If not provided, the Cancel button returns the user to the RedirectURL.
array (object)
Shipping information of the
LineItems added to the pay-in object.Show properties
Show properties
string
The shipment’s tracking number provided by the carrier.
string
The carrier for the shipment. Use the country-specific version of the carrier if it exists, otherwise use its global version.
string
Default value: falseIf
true, sends an email notification to the PaypalBuyerAccountEmail containing the TrackingNumber and Carrier, which allows the end user to track their shipment with the carrier.string
Max. length: 127 characters (truncated after)The platform’s order reference for the transaction.
string
The email address registered on the PayPal account used to make the payment.
string
Returned values:
SET_PROVIDED_ADDRESS, GET_FROM_FILE, NO_SHIPPINGInformation about the shipping address behavior on the PayPal payment page:SET_PROVIDED_ADDRESS- TheShippingparameter becomes required and its values are displayed to the end user, who is not able to modify them.GET_FROM_FILE– TheShippingparameter is ignored and the end user can choose from registered addresses.NO_SHIPPING– No shipping address section is displayed.
string
Returned values: One of the supported languages in the ISO 639-1 format: AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US.The language in which the PayPal payment page is to be displayed.
array
objectInformation about the items purchased in the transaction. The total of all line items’
UnitAmount and TaxAmount must equal the DebitedFunds amount (negative amounts not allowed).Show properties
Show properties
string
Max. length: 127 characters (truncated after)The name of the item.
integer
The quantity of the item.
integer
The cost of the item, excluding tax.
integer
The tax amount applied to the item.
string
Max. length: 127 characters (truncated after)The platform’s unique reference for the seller. This value must be consistently used for the given seller. You can use, for example, the Mangopay
Caution: Failure to use a unique seller identifier may result in PayPal restricting your service.
UserId or the seller’s business name or first name and last name.Caution: Failure to use a unique seller identifier may result in PayPal restricting your service.
string
Allowed values: PHYSICAL_GOODS, DIGITAL_GOODS, DONATIONThe category of the item:
PHYSICAL_GOODS– Tangible items that can be physically shipped and received with proof of delivery upon arrival.DIGITAL_GOODS– Products or services that are distributed and consumed via digital platforms or devices.DONATION– Voluntary contribution made without any goods or services received in return. Multiple line items can be categorized asDONATIONwithin a single transaction, however it is not possible to combineDONATIONother line item categories within the same transaction.
object
Information about the end user’s shipping address, managed by
ShippingPreference.Show properties
Show properties
string
The first name of the user.
string
Max. length: 100 charactersThe last name of the user.
object
Information about the shipping address.
Show properties
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the
Country is US, CA, or MX.string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country of the address.
object
Returned
null because the billing address is not applicable to PayPal preauth.string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
string
The URL to which to redirect the user to complete the payment.Caution: This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
string
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
string
Returned values:
WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.string
Returned values:
PAYPALThe type of pay-in.string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
string
The explanation of the result code.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
object
Information about the deposit preauthorized pay-ins made against the deposit preauthorization.
string
Returned values:
WAITING, CANCELED, CANCEL_REQUESTED, EXPIRED, VALIDATED, FAILEDThe payment status of the deposit preauthorization object:WAITING– The deposit preauthorization can be used: the preauthorized funds can be captured (ifStatusisSUCCEEDED) or the preauthorization can be canceled manually.CANCELED– Value to pass to manually cancel the deposit preauthorization before use; indicates that the deposit preauthorization was canceled manually.CANCEL_REQUESTED– The cancellation of the deposit preauthorization has been requested but not yet processed.EXPIRED– The hold period on the preauthorized funds has ended without it being used.VALIDATED– Indicates that the preauthorized funds were captured.FAILED– The pay-in against the preauthorization has failed, but a retry may be possible.
string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the authorization.string
The unique identifier of the user at the source of the transaction.
Unix timestamp
The date and time at which the hold period ends and the preauthorized funds are released.
At the expiration date, the deposit preauthorization’s
At the expiration date, the deposit preauthorization’s
PaymentStatus changes to EXPIRED if no captures were made.Unix timestamp
The date and time at which the object was created.
string
Max. length: 255 charactersThe unique identifier of the PayPal preauthorization.
{
"Id": "deposit_wt_073099a9-4e14-42b7-9bc7-d1978f65d8ba",
"CreationDate": 1771585135,
"ExpirationDate": 1774177173,
"AuthorId": "user_m_01KHXAHEBRWSZXJY85TPPR56TK",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 20000
},
"Status": "SUCCEEDED",
"PaymentStatus": "VALIDATED",
"PayinsLinked": {
"PayinCaptureId": "wt_28217024-04e1-400b-b902-15bc2cca8a82",
"PayinComplementId": null
},
"ResultCode": "000000",
"ResultMessage": "Success",
"CardId": "card_wt_HodULFWKVRMEecCa",
"PreferredCardNetwork": null,
"SecureModeReturnURL": "http://example.com?depositId=deposit_wt_073099a9-4e14-42b7-9bc7-d1978f65d8ba",
"SecureModeRedirectURL": null,
"SecureModeNeeded": true,
"PaymentType": "CARD",
"ExecutionType": "DIRECT",
"StatementDescriptor": null,
"Culture": "EN",
"BrowserInfo": {
"AcceptHeader": "text/html, application/xhtml+xml, application/xml;q=0.9, /;q=0.8",
"JavaEnabled": true,
"Language": "FR-FR",
"ColorDepth": 4,
"ScreenHeight": 1800,
"ScreenWidth": 400,
"TimeZoneOffset": 60,
"UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
"JavascriptEnabled": true
},
"IpAddress": "4ce4:e138:803f:eb1c:9c5b:7316:ec84:3d00",
"Billing": {
"FirstName": "Jonatan",
"LastName": "Renner",
"Address": {
"AddressLine1": "16544 Jalon Expressway",
"AddressLine2": "Pacocha Road",
"City": "Paris",
"Region": "Ile-de-France",
"PostalCode": "75001",
"Country": "FR"
}
},
"Shipping": {
"FirstName": "Jonatan",
"LastName": "Renner",
"Address": {
"AddressLine1": "16544 Jalon Expressway",
"AddressLine2": "Pacocha Road",
"City": "Paris",
"Region": "Ile-de-France",
"PostalCode": "75001",
"Country": "FR"
}
},
"Requested3DSVersion": null,
"Applied3DSVersion": "V2_1",
"Tag": "Created using the Mangopay API Postman collection",
"CardInfo": {
"BIN": "497010",
"IssuingBank": "LA BANQUE POSTALE",
"IssuerCountryCode": "MA",
"Type": "CREDIT",
"SubType": null,
"Brand": "VISA"
},
"AuthenticationResult": {
"AuthenticationType": "CHALLENGE"
}
}
{
"ShippingPreference": "SET_PROVIDED_ADDRESS",
"PaypalBuyerAccountEmail": "alex.smith@example.com",
"Reference": "1234",
"CancelURL": "https://www.example.net/?depositId=deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4",
"PaypalPayerID": "1ZC7H3JIJNMR4",
"BuyerCountry": "GB",
"BuyerFirstname": "Alex",
"BuyerLastname": "Smith",
"BuyerPhone": "447777123456",
"PaypalOrderID": "5T593294612936789",
"Trackings": null,
"LineItems": [
{
"Name": "Running shoes",
"Quantity": 1,
"UnitAmount": 1000,
"TaxAmount": 0,
"Description": "ID of Seller 1",
"Category": "PHYSICAL_GOODS",
"Sku": null,
"Discount": 0
}
],
"Id": "deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4",
"CreationDate": 1774263809,
"ExpirationDate": 1776855973,
"AuthorId": "user_m_01KMD5PX2KPDVQ0C37XR375MPP",
"DebitedFunds": {
"Currency": "GBP",
"Amount": 1000
},
"Status": "SUCCEEDED",
"PaymentStatus": "VALIDATED",
"PayinsLinked": {
"PayinCaptureId": "wt_2d749eb5-90c6-4c3c-9146-bda5ffa65d3f",
"PayinComplementId": null
},
"ResultCode": "000000",
"ResultMessage": "Success",
"PaymentType": "PAYPAL",
"ExecutionType": "WEB",
"StatementDescriptor": null,
"Culture": "EN",
"Billing": null,
"Shipping": {
"FirstName": "Alex",
"LastName": "Smith",
"Address": {
"AddressLine1": "10 Kingsway",
"City": "London",
"Region": null,
"PostalCode": "WC2B 6LH",
"Country": "GB"
}
},
"Tag": "Created using the Mangopay API Postman collection",
"RedirectURL": "https://www.paypal.com/checkoutnow?token=6L593294612936822",
"ReturnURL": "https://www.example.com/?depositId=deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4"
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$depositId = 'deposit_m_01JH3BWB8K89TDQC54FFZY6MFV';
$response = $api->Deposits->Get($depositId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Deposit;
public class ViewDepositPreauth {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
Deposit getDeposit = mangopay.getDepositApi().cancel("deposit_m_01J21RMN7TET5VNNJJQTMYEX8Z");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(getDeposit);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Deposit
deposit_preauthorization = Deposit(
id = '11057b51-7bfc-43e9-bdec-268ba41148cc'
)
try:
view_deposit_preauthorization = Deposit.get(deposit_preauthorization.id)
pprint(vars(view_deposit_preauthorization))
pprint(vars(view_deposit_preauthorization.billing))
pprint(vars(view_deposit_preauthorization.browser_info))
pprint(vars(view_deposit_preauthorization.payins_linked))
pprint(vars(view_deposit_preauthorization.shipping))
except Deposit.DoesNotExist:
print('The Deposit PreAuthorization {} does not exist'.format(deposit_preauthorization.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var depositId = "deposit_m_01J332W8CHP62NYWXTQFHSQ6SR";
var viewDeposit = await api.Deposits.GetAsync(depositId);
string prettyPrint = JsonConvert.SerializeObject(viewDeposit, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?